# log1p

(PHP 4 >= 4.1.0, PHP 5, PHP 7)

log1p — Returns log(1 + number), computed in a way that is accurate even when the value of number is close to zero

### Description

log1p ( float `$number` ) : float

log1p() returns log(1 + `number`) computed in a way that is accurate even when the value of `number` is close to zero. log() might only return log(1) in this case due to lack of precision.

### Parameters

`number`

  The argument to process

### Return Values

log(1 + `number`)

### Changelog

Version | Description
--- | ---
5.3.0 | This function is now available on all platforms

### See Also

- expm1() - Returns exp(number) - 1, computed in a way that is accurate even when the value of number is close to zero
- log() - Natural logarithm
- log10() - Base-10 logarithm